.color-a {
  color: #f4d6a7;
  text-decoration: none;
}
.social {
  position: fixed;
  top: 20px;
  z-index: 1000;
}
.social ul {
  padding: 0px;
  transform: translate(-270px, 0);
}
.social ul li {
  display: block;
  margin: 5px;
  background: rgba(0, 0, 0, 0.36);
  width: 310px;
  text-align: right;
  padding: 10px;
  border-radius: 0 30px 30px 0;
  transition: all 1s;
}
.social ul li:hover {
  transform: translate(100px, 0);
  background: rgba(255, 255, 255, 0.4);
}
.social ul li:hover a {
  color: #f4d6a7;
}
.social ul li:hover i {
  color: #f4d6a7;
  transform: rotate(360deg);
  transition: all 1s;
}
.social ul li i {
  margin-left: 10px;
  color: #f4d6a7;
  border-radius: 50%;
  font-size: 28px;
  transform: rotate(0deg);
}
